LibreOffice: XWizardController Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XWizardController Interface Reference

is the interface of a client-provided controller of a custom Wizard. More...

`import"XWizardController.idl";`

## Public Member Functions
XWizardPage | createPage ([in] ::com::sun::star::awt::XWindow ParentWindow, [in] short PageId)
| creates a page More...
string | getPageTitle ([in] short PageId)
| provides the title of a page given by ID More...
boolean | canAdvance ()
void | onActivatePage ([in] short PageId)
| called when a new page in the wizard is being activated More...
void | onDeactivatePage ([in] short PageId)
| called when a page in the wizard is being deactivated More...
boolean | confirmFinish ()
| called when the wizard is about to be finished. More...

## Detailed Description

is the interface of a client-provided controller of a custom Wizard.

Since
  OOo 3.3

## Member Function Documentation

## ◆ canAdvance()

boolean canAdvance | ( |  | ) |

## ◆ confirmFinish()

boolean confirmFinish | ( |  | ) |

called when the wizard is about to be finished.

This method allows the controller to do any final checks, and ultimately veto finishing the wizard.

## ◆ createPage()

XWizardPage createPage | ( | [in] ::com::sun::star::awt::XWindow | ParentWindow,
|  | [in] short | PageId
| ) |  |

creates a page

Wizard pages are created on demand, when the respective page is reached during traveling through the wizard. Effectively, this means the method is called at most once for each possible page ID.

Parameters

  ParentWindow | the parent window to use for the page window
  PageId | the ID of the page.

Returns
  the requested page.

## ◆ getPageTitle()

string getPageTitle | ( | [in] short | PageId | ) |

provides the title of a page given by ID

The page titles are displayed in the wizard's roadmap.

## ◆ onActivatePage()

void onActivatePage | ( | [in] short | PageId | ) |

called when a new page in the wizard is being activated

## ◆ onDeactivatePage()

void onDeactivatePage | ( | [in] short | PageId | ) |

called when a page in the wizard is being deactivated

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XWizardController.idl